<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlAdcBitFormat_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlAdcBitFormat_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>ADC Bit and ADC Output format Configuration.  
 <a href="structrl_adc_bit_format__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a27e4c9b10ec50f7b46eed808cb5915b9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a27e4c9b10ec50f7b46eed808cb5915b9"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_adc_bit_format__t.html#a27e4c9b10ec50f7b46eed808cb5915b9">b2AdcBits</a>:2</td></tr>
<tr class="memdesc:a27e4c9b10ec50f7b46eed808cb5915b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">ADC out bits - 0(12 Bits), 1(14 Bits), 2(16 Bits) <br /></td></tr>
<tr class="separator:a27e4c9b10ec50f7b46eed808cb5915b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8324d0d94bb34e7d56a43429b63178ff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8324d0d94bb34e7d56a43429b63178ff"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_adc_bit_format__t.html#a8324d0d94bb34e7d56a43429b63178ff">b6Reserved1</a>:6</td></tr>
<tr class="memdesc:a8324d0d94bb34e7d56a43429b63178ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a8324d0d94bb34e7d56a43429b63178ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7c2fc37a2990483710cd398204ae28b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae7c2fc37a2990483710cd398204ae28b"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_adc_bit_format__t.html#ae7c2fc37a2990483710cd398204ae28b">b8FullScaleReducFctr</a>:8</td></tr>
<tr class="memdesc:ae7c2fc37a2990483710cd398204ae28b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of bits to reduce ADC full scale by Valid range: 0 to (16 - Number of ADC bits) For e.g. for 12 bit ADC output, this field can take values 0, 1, 2 or 3 <br />
 For 14 bit ADC output, this field can take values 0, 1 or 2 <br />
 For 16 bit ADC output, this field can take only value 0 <br />
. <br /></td></tr>
<tr class="separator:ae7c2fc37a2990483710cd398204ae28b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7dd319cf39983b75d5a6c0e6481f6c4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac7dd319cf39983b75d5a6c0e6481f6c4"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_adc_bit_format__t.html#ac7dd319cf39983b75d5a6c0e6481f6c4">b2AdcOutFmt</a>:2</td></tr>
<tr class="memdesc:ac7dd319cf39983b75d5a6c0e6481f6c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">ADC out format- 0(Real), 1(Complex), 2(Complex with Image band), 3(Pseudo Real) <br /></td></tr>
<tr class="separator:ac7dd319cf39983b75d5a6c0e6481f6c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a879bf434bd8ed31092ee8e178b422330"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a879bf434bd8ed31092ee8e178b422330"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_adc_bit_format__t.html#a879bf434bd8ed31092ee8e178b422330">b14Reserved2</a>:14</td></tr>
<tr class="memdesc:a879bf434bd8ed31092ee8e178b422330"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a879bf434bd8ed31092ee8e178b422330"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>ADC Bit and ADC Output format Configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
